function val = get(d,prop_name)
% GET Get properties from the specified distorted_coulomb-object
% and return the value
switch prop_name
case 'l'
    val = d.l;
case 'S'
    val = d.S;
case 'R'
    val = d.R;
case 'V'
    val = get(d.schrod,'V');
case 'min'
    val = d.min;
case 'max'
    val = d.max;
case 'Vs'
    val = d.Vs;
case 'classification'
    val=get(d.schrod,'classification');
case 'infostring'
    tmp=get(d.schrod,'classification');
    val = tmp.infostring;
case 'singularities'
     val=[];   
otherwise
    error([prop_name,' Is not a valid property of a distorted_coulomb-object'])
end