function c = set(c,varargin)
% @DISTORTED_COULOMB\SET Set properties and return the 
% updated DISTORTED_COULOMB-object
property_argin = varargin;
while length(property_argin) >= 2,
    prop = property_argin{1};
    val = property_argin{2};
    property_argin = property_argin(3:end);
    switch prop
    case 'l'
        c.l = val;
        c.schrod = set(c.schrod,'l',val);
    case 'S'
        c.S = val;
    case 'R'
        c.R = val;
    case 'max';
        c.max=val;
        c.schrod = set(c.schrod,'max',val);    
    case 'singularities'
        %nothing has to be done    
    otherwise
        error('distorted_coulomb properties: l, S, R')
    end
end