function pp = set(pp,varargin)
% SET Set properties and return the updated ppm-object
property_argin = varargin;
while length(property_argin) >= 2,
    prop = property_argin{1};
    val = property_argin{2};
    property_argin = property_argin(3:end);
    switch prop
    case 'schrod'
        pp.schrod = val;
    case 'tol'
        pp.tol = val;     
    otherwise
        error('PPM properties: schrod, tol')
    end
end