function val = get(tr,prop_name)
% GET Get properties from the specified transformed_slp-object
% and return the value
switch prop_name
case 'schrod'
    val = tr.schrod;    
case 'V'
    val = get(tr.schrod,'V');
case 'min'
    val = get(tr.schrod,'min');
case 'max'
    val = get(tr.schrod,'max');
case 'a0'
    val = get(tr.schrod,'a0');
case 'b0'
    val = get(tr.schrod,'b0');
case 'a1'
    val = get(tr.schrod,'a1');
case 'b1'
    val = get(tr.schrod,'b1');
case 'singularities' 
    val = get(tr.schrod,'singularities');      
case 'classification'
    val = get(tr.sl,'classification'); 
case 'infostring'
    tmp=get(tr.schrod,'classification');
    val=tmp.infostring;     
case 'fcn'
    val = tr.fcn;
case 'rG'
    val = tr.rG;
case 'xG'
    val = tr.xG;
case 'Q'
    val = tr.Q;
case 'p'
    val = get(tr.sl,'p');
case 'w'
    val = get(tr.sl,'w');
case 'q'
    val = get(tr.sl,'q');
case 'slp'
    val = tr.sl;
otherwise
    error([prop_name,' Is not a valid property of a transformed_slp-object'])
end