function close_problem(n)
%CLOSE_PROBLEM(n)
% n = number representing current instance of matslise
% This function closes all windows opened in the current
% matslise-session.
global gapp
if isfield(gapp,'eigenvalue_window') && length(gapp.eigenvalue_window)>=n && ishandle(gapp.eigenvalue_window(n))
    try
        delete(gapp.eigenvalue_window(n));
    catch
    end
end
if isfield(gapp,'eigenvector_window') && length(gapp.eigenvector_window)>=n && ishandle(gapp.eigenvector_window(n))
    try
        delete(gapp.eigenvector_window(n));
        catch
    end
end
if isfield(gapp,'eigenvalue_plot') && length(gapp.eigenvalue_plot)>=n&& ishandle(gapp.eigenvalue_plot(n))
    try
        delete(gapp.eigenvalue_plot(n));
        catch
    end
end
if isfield(gapp,'eigenfunction_plot') && length(gapp.eigenfunction_plot)>=n && ishandle(gapp.eigenfunction_plot(n))
    try
    delete(gapp.eigenfunction_plot(n));
        catch
    end
end
if isfield(gapp,'eigenvector_plotp') && length(gapp.eigenvector_plotp)>=n && ishandle(gapp.eigenvector_plotp(n))
    try
    delete(gapp.eigenvector_plotp(n));
        catch
    end
end
if isfield(gapp,'eigenvalue_data') && length(gapp.eigenvalue_data)>=n && ishandle(gapp.eigenvalue_data(n))
    try
    delete(gapp.eigenvalue_data(n));
        catch
    end
end
if isfield(gapp,'movie') && length(gapp.movie)>=n && ishandle(gapp.movie(n))
    try
    delete(gapp.movie(n));
        catch
    end
end
if isfield(gapp,'eigenvectorDataWindow') && length(gapp.eigenvectorDataWindow)>=n && ishandle(gapp.eigenvectorDataWindow(n))
    try
        delete(gapp.eigenvectorDataWindow(n));
        catch
    end
end
if isfield(gapp,'eigenfunctions_plot') && length(gapp.eigenfunctions_plot)>=n && ishandle(gapp.eigenfunctions_plot(n))
    try
        delete(gapp.eigenfunctions_plot(n));
        catch
    end
end
if isfield(gapp,'eigenfunctions_oneplot') && length(gapp.eigenfunctions_oneplot)>= n && ishandle(gapp.eigenfunctions_oneplot(n))
    try
        delete(gapp.eigenfunctions_oneplot(n));
        catch
    end
end
if isfield(gapp,'potential_eigenfunctions_plot') && length(gapp.potential_eigenfunctions_plot)>= n && ishandle(gapp.potential_eigenfunctions_plot(n))
    try
        delete(gapp.potential_eigenfunctions_plot(n));
        catch
    end
end
if isfield(gapp,'eigenfunction_squares_plot') && length(gapp.eigenfunction_squares_plot)>= n && ishandle(gapp.eigenfunction_squares_plot(n))
    try
        delete(gapp.eigenfunction_squares_plot(n));
        catch
    end
end
if isfield(gapp,'potential_plot') && length(gapp.potential_plot)>= n && ishandle(gapp.potential_plot(n))
    try
        delete(gapp.potential_plot(n));
        catch
    end
end
if isfield(gapp,'partition_plot') && length(gapp.partition_plot)>= n && ishandle(gapp.partition_plot(n))
    try
    delete(gapp.partition_plot(n));    
    catch
    end
end