%example6
%illustrate classification information

disp('************************')
disp('Hydrogen atom equation.')
disp('************************')
format long;

%define a distorted Coulomb problem (Hydrogen atom equation)
dc=distorted_coulomb(1,'-1','0',inf);

%Is this problem singular?
get(dc,'infostring')
%We know now that there are no eigenvalues larger than zero.
%When we try to obtain eigenvalues larger than zero, an error is generated:
cp=cpm16_14(dc,1e-8);
E=get_eigenvalues(cp,0,10,false);

