function val = get(schcp,prop_name)
% GET Get properties from the specified cpm18_16-object
% and return the value
switch prop_name
case 'p'
    val = schcp.p;
case 'q'
    val = schcp.q;
case 'cpm'
    val = schcp.cpm;
case 'bp'
    val = schcp.bp;
case 'rp'
    val = schcp.rp;
case 'Vmin'
    val = schcp.Vmin;
case 'Vmax'
    val = schcp.Vmax;
case 'truncated'
    val = schcp.truncated;       
case 'schrod'
    val = get(schcp.cpm,'schrod');
case 'tol'
    val = get(schcp.cpm,'tol');
case 'ref_cpm'
    val = schcp.ref_cpm;
case 'singular_min'
    val = schcp.singular_min;
case 'singular_max'
    val = schcp.singular_max; 
otherwise
    error([prop_name,' Is not a valid property of a cpm18_16-object'])
end