function val = get(sl,prop_name)
% @SLP\GET Get properties from the specified Sturm-Liouville-object
% and return the value
switch prop_name
case 'p'
    val = sl.p;
case 'q'
    val = sl.q;
case 'w'
    val = sl.w;
case 'min'
    val = sl.min;
case 'max'
    val = sl.max;
case 'a0'
    val = sl.a0;
case 'b0'
    val = sl.b0;
case 'a1'
    val = sl.a1;
case 'b1'
    val = sl.b1;
case 'classification'
    val = sl.classification;    
otherwise
    error([prop_name,' Is not a valid property of a Sturm-Liouville-object'])
end