function sl = set(sl,varargin)
% TRANSFORMED_SLP\SET Set properties and return the updated object
property_argin = varargin;
while length(property_argin) >= 2,
    prop = property_argin{1};
    val = property_argin{2};
    property_argin = property_argin(3:end);
    switch prop
    case 'min'
        sl.schrod = set(sl.schrod,'min',val);
    case 'max'
        sl.schrod = set(sl.schrod,'max',val);
    case 'singularities'
        sl.schrod = set(sl.schrod,'singularities',val);
    case 'rG'    
        sl.rG = val;
    case 'xG'    
        sl.xG = val;
    case 'Q'    
        sl.Q = val;
    otherwise
        error('transformed_slp properties: V, min, max, a0, b0, a1, b1')
    end
end